Subject: Re: bug#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection

From: Eus <[email-masked]>
Date: Tue, 13 Sep 2016 15:47:03 +0700

Hi Ludo!

Sorry for replying just now. I did not try to reproduce the bug back at
that time. So, I took the time yesterday to try to reproduce the bug. And,
I cannot reproduce the problem after repeating the following rough steps
two times with the same bootable disk and machine and network (but the
external connection to the ISP may have changed in the mean time):

1. Format my /dev/sda8
2. Swapon my /dev/sda7
3. mount my /dev/sda8 to /mnt
4. herd start cow-store /mnt
5. umount /tmp
6. mount --bind /mnt/tmp2 /tmp
7. ifconfig, wpa_supplicant, dhclient
8. guix pull
9. guix system --no-grub --keep-failed init /mnt/etc/config.scm /mnt

The whole process took just about 100 minutes.

So, I cannot reproduce the bug.

Thanks.

--
Best regards,
Eus (FSF member #4445)

In this digital era, where computing technology is pervasive, your freedom
depends on the software controlling those computing devices.

Join free software movement today! It is free as in freedom, not as in free
beer!

Join: http://www.fsf.org/jf?referrer=4445

On Fri, Sep 9, 2016 at 9:35 PM, Ludovic Courtès <[email-masked]> wrote:

> Hello,
>
> [email-masked] (Ludovic Courtès) skribis:
>
> > Eus <[email-masked]> skribis:
> >
> >> On Fri, Jul 15, 2016 at 11:10 PM, Ludovic Courtès <[email-masked]> wrote:
> >
> > [...]
> >
> >> However, in the past people reported that nscd, the name service cache
> >>> daemon, would sometimes fail without any good reason.  If you think
> that
> >>> is the case, then this is definitely a bug that we should be
> >>> addressing.
> >>>
> >>
> >> That is likely.
> >
> > What makes you think so?
> >
> > The problem we had in the past is that nscd would cache lookup failures
> > that happened when the Internet connection was missing, which made
> > subsequent lookups fail even though networking was back up:
> >
> >   http://bugs.gnu.org/22209
> >
> > I believe this was fixed by commit
> > c96ba2cf5efc0ee5c10f0a49aeaa9a45a84de7ed.
> >
> > It would be great if you could check whether the problem is
> > reproducible, even with a stable connection.
> >
> > If it is indeed reproducible, then you could try running the
> > installation after turning nscd off with:
> >
> >   herd stop nscd
>
> Did you have a change to try and install 0.11.0?  Do you still
> experience these problems?
>
> Thanks in advance,
> Ludo’.
>